[debian-users 00102] Re: stretchで日本語入力できない

KISE Hiroshi kise @ fuyuneko.jp
2017年 7月 22日 (土) 16:34:28 JST


From: Kenji Matsui <kmatsui @ earth.kiramori.net>
Subject: [debian-users 00101] Re: stretchで日本語入力できない
Date: Sat, 22 Jul 2017 02:10:28 +0000
>> ここまではOK。なぜ「文字化け」したか、ですが、予想ですか、
>> 日本語を表示できるフォントが入っていなかったか、素のコンソール
>> だからでしょう。前者だと仮定します。
> 「素のコンソール」というのは、xfce や Mate などが立ち上がっていない
> ターミナル画面のみの環境という意味でしょうか?

そのつもりで書きました。

> 私は最初からxfceデスクトップにログインしました。

なるほど。

> task-japanese-desktop をインストールすると、日本語入力で問題が発生しな
> くなりました。

> それと、いつのまにかインストールした覚えのない
> uim-mozc
> が入っています。

task-japanese-desktop を入れたときに依存関係で入るようです。
https://packages.debian.org/stretch/task-japanese-desktop

または、これ。
$ apt show task-japanese-desktop

task-japanese-desktop の依存関係で入るパッケージが重要なので、
使わないものは個別にアンインストールでもよいと思います。
task-japanese-desktop も含めて。


> ちなみに、uim には kkc(uim-kkc)がないですね。
> anthy より kkc の方が新しいのかなと思い kkc を使い始めたのですが、違っ
> たかな・・・

作る人がいなければ存在しないし、利用者が少なければ廃れたりしますので。
libkkc自体、最近の開発は活発ではないっぽい?

> $ dpkg -l ibus-mozc
> dpkg-query: ibus-mozc に一致するパッケージが見つかりません

インストールしたことがないと出てこないので、探すのであれば
$ apt search ibus-mozc
とか、ウェブで検索とか。
https://www.debian.org/distrib/packages

# ミラーサイトのほうを紹介しようと思ったら、
# https://www.jp.debian.org/ の証明書問題…。

>>> ibus より uim の方が新しく、これからも長くサポートされる入力システムな
>>> のかなと感じましたので少し試してみたのですけど
>> …。
> ibus より uim の方がこれからも長くサポートされるかどうかなどよく分から
> ない
> ということでしょうか?

調べればわかりますが、uimのほうが歴史は長いです。
そして、長くサポートされる(というか、開発される)かどうかは初出が
いつかとは関係ありません。

> 個人的に fcitx はあまり気が進まないので、他のものから選んでいたのです
> けど。

まあ、選択肢がある間は、とっかえひっかえ試せばいいんじゃないですかね。


> $ sudo apt-get upgrade -y
> をする時にせっかく "-y" オプションをつけていても、
> パッケージの変更内容などの通知が出た時にそこで入力待ちになり
> 全自動で最後までいかないことがあります。

> それを防ぐために
> # dpkg-reconfigure apt-listchanges
> でパッケージの変更内容の通知法をいつも次のように選んで設定しています。

環境変数 DEBIAN_FRONTEND を“noninteractive”にするとよいみたいです。
(調べただけで試してはない)
それがだめなら PAGER=cat とか(これも試していない)。
または、apt-listchanges をアンインストールとか…。

ちなみに、testing まできている新しいバージョンの apt-listchanges では、
確認のプロンプトで止めない設定ができるようです。

> # touch /var/mail/root
> これをやっておかないと、この設定段階かどこかでエラーが出ていたと思いま
> す。
そんなことはないと思いますが、試していないのでなんとも。
もし必要だったとして、私だったら、rootにメールを送るほうがいいかな。
(一般ユーザに転送しているとダメですが)

> 書き忘れていますが、
> # apt-get install -y  mutt
> これもやっとかないといけないですね。

メーラーもお好きなものをどーぞ、という感じですね。
-- 
喜瀬“冬猫”浩


debian-users メーリングリストの案内